package com.fs.hisStore.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 期刊分类对象 fs_home_article_category
 *
 * @author fs
 * @date 2025-05-21
 */
@Setter
@Getter
@TableName("fs_home_article_category")
public class FsHomeArticleCategoryScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long categoryId;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String categoryName;

    @Excel(name = "封面图片")
    private String imageUrl;

    /** 状态，1-正常， 0-禁用 */
    @Excel(name = "状态，1-正常， 0-禁用")
    private Integer status;

    /** 是否删除，1-是，0-否 */
    @Excel(name = "是否删除，1-是，0-否")
    private Integer isDel;

    /** 排序号 */
    @Excel(name = "排序号")
    private Integer sort;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("categoryId", getCategoryId())
            .append("categoryName", getCategoryName())
            .append("status", getStatus())
            .append("isDel", getIsDel())
            .append("sort", getSort())
            .toString();
    }
}
